/* Simple interfaces to various protocols.
 *
 * Epona (c) 2000-2001 PegSoft
 * Contact us at epona@pegsoft.net
 *
 * This program is free but copyrighted software; see the file COPYING for
 * details.
 *
 * Based on the original code of Services by Andy Church.
 *
 */
 
#include "services.h"

/* Makes an permanent ban from all the servers. Assumes that the matching clients are killed. */

void s_akill(char *user, char *host, char *who, time_t when, time_t expires, char *reason)
{
#if defined(IRC_BAHAMUT)
	send_cmd(ServerName, "AKILL %s %s %d %s %ld :%s", host, user, 86400*2, who, when, reason);
#elif defined(IRC_DREAMFORGE)
	send_cmd(ServerName, "AKILL %s %s :%s", host, user, reason);
#endif	
}

/*************************************************************************/

/* Removes a permanent ban from all the servers. */

void s_rakill(char *user, char *host)
{
	send_cmd(ServerName, "RAKILL %s %s", host, user);
}

/*************************************************************************/

void s_sgline(char *mask, char *reason)
{
#ifdef IRC_BAHAMUT
	/* User *u; */

	send_cmd(ServerName, "SGLINE %d :%s:%s", strlen(mask), mask, reason);
	
	/* Do things properly: kill all corresponding users as this is 
	   unfortunately not done by the IRCds :/ */
	/* Breaks things currently! */
	/* for (u = firstuser(); u; u = nextuser())
		if (match_wild_nocase(mask, u->realname))
			send_cmd(ServerName, "SVSKILL %s :G-Lined: %s", u->nick, reason); */
#endif	
}

/*************************************************************************/

void s_svsnoop(char *server, int set)
{
	send_cmd(ServerName, "SVSNOOP %s %s", server, (set ? "+" : "-"));	
}

/*************************************************************************/

void s_szline(char *mask, char *reason)
{
#ifdef IRC_BAHAMUT
	send_cmd(ServerName, "SZLINE %s :%s", mask, reason);
#endif	
}

/*************************************************************************/

void s_unsgline(char *mask)
{
#ifdef IRC_BAHAMUT
	send_cmd(ServerName, "UNSGLINE 0 :%s", mask);
#endif	
}

/*************************************************************************/

void s_unszline(char *mask)
{
#ifdef IRC_BAHAMUT
	send_cmd(ServerName, "UNSZLINE 0 %s", mask);
#endif	
}

/*************************************************************************/